commit 5bbbf0c98b262ff546e773df8f530307ffcd66e8
Author: manish <manish10@gmail.com>
Date:   Thu Jun 6 15:02:18 2013 +0530

    fix for bug 2816 - outlook contacts and from button

diff --git a/source/_UIAHandler.py b/source/_UIAHandler.py
index 798a936..2168c35 100644
--- a/source/_UIAHandler.py
+++ b/source/_UIAHandler.py
@@ -40,6 +40,7 @@ badUIAWindowClassNames=[
 	"RICHEDIT50W",
 	"SysListView32",
 	"_WwG",
+	"NetUIHWND",
 ]
 
 UIAControlTypesToNVDARoles={
diff --git a/source/appModules/outlook.py b/source/appModules/outlook.py
index b7202d2..61dab35 100644
--- a/source/appModules/outlook.py
+++ b/source/appModules/outlook.py
@@ -86,7 +86,7 @@ class AppModule(appModuleHandler.AppModule):
 		windowClassName=obj.windowClassName
 		states=obj.states
 		controlID=obj.windowControlID
-		if role==controlTypes.ROLE_LISTITEM and windowClassName.startswith("REListBox"):
+		if role==controlTypes.ROLE_LISTITEM and (windowClassName.startswith("REListBox") or windowClassName.startswith("NetUIHWND")):
 			clsList.insert(0,AutoCompleteListItem)
 		if role==controlTypes.ROLE_LISTITEM and windowClassName=="OUTEXVLB":
 			clsList.insert(0, AddressBookEntry)
@@ -211,6 +211,6 @@ class AutoCompleteListItem(IAccessible):
 	def event_stateChange(self):
 		states=self.states
 		focus=api.getFocusObject()
-		if focus.role==controlTypes.ROLE_EDITABLETEXT and controlTypes.STATE_SELECTED in states and controlTypes.STATE_INVISIBLE not in states and controlTypes.STATE_UNAVAILABLE not in states and controlTypes.STATE_OFFSCREEN not in states:
+		if (focus.role==controlTypes.ROLE_EDITABLETEXT or focus.role==controlTypes.ROLE_BUTTON) and controlTypes.STATE_SELECTED in states and controlTypes.STATE_INVISIBLE not in states and controlTypes.STATE_UNAVAILABLE not in states and controlTypes.STATE_OFFSCREEN not in states:
 			speech.cancelSpeech()
 			ui.message(self.name)
